javax.ejb

## Enum TransactionManagementType

- java.lang.Object
- - java.lang.Enum<TransactionManagementType>
  - - javax.ejb.TransactionManagementType

- All Implemented Interfaces:
    Serializable, Comparable<TransactionManagementType>

      public enum TransactionManagementType
      extends Enum<TransactionManagementType>

  The enum `TransactionManagementType` is used with the `TransactionManagement` annotation to specify whether container-managed or bean-managed transaction management is used.
  Since:
    EJB 3.0
  See Also:
    `TransactionManagement`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEAN` Bean-managed transaction management is used.
    `CONTAINER` Container-managed transaction management is used.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransactionManagementType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TransactionManagementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTAINER

          public static final TransactionManagementType CONTAINER

      Container-managed transaction management is used.

    - #### BEAN

          public static final TransactionManagementType BEAN

      Bean-managed transaction management is used.

  - ### Method Detail

    - #### values

          public static TransactionManagementType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionManagementType c : TransactionManagementType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionManagementType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.